Bug 222609 - Macaulay2: missing Macaulay2-doc?
Macaulay2: missing Macaulay2-doc?
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Macaulay2 (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-15 00:56 EST by John Guthrie
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.9.95-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-15 13:56:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Guthrie 2007-01-15 00:56:45 EST
Description of problem:
When I run "yum update", I get the following error:

--> Running transaction check
--> Processing Dependency: Macaulay2 = 0.9.2 for package: Macaulay2-doc
--> Finished Dependency Resolution
Error: Missing Dependency: Macaulay2 = 0.9.2 is needed by package Macaulay2-doc

It seems that there is no Macaulay2-doc RPM to upgrade; there is only a new
Macaulay2 RPM in the repos.  (The new version-release of that is
0.9.95-3.fc5.1.)  At least, I haven't seen a new Macaulay2-doc RPM.  I have
checked, and the current Macaulay2-doc RPM contains files that are not contained
in the new Macaulay2 RPM.  (One example of such a file is
/usr/lib/Macaulay2-0.9.2/tutorial/final/divisors.out.  Just run "yum
whatprovides divisors.out", and only Macaulay2-doc-0.9.2-22.fc5 gets listed as
containing a file by that name.)

Version-Release number of selected component (if applicable):  0.9.2-22.fc5


How reproducible:  Every time


Steps to Reproduce:
1. Install Macaulay2 and Macaulay2-doc RPMs, both version 0.9.2-22.fc5
2. run "yum update"
  
Actual results:
"yum update" fails and the Macaulay2 RPMs are not updated.

Expected results:
I would expect "yum update" to suceed, and for both Macaulay2 and Macaulay2-doc
to be updated.

Additional info:
Comment 1 Rex Dieter 2007-01-15 11:42:48 EST
Not sure why yum is complaining, the new Macaulay2 main pkg includes:
Obsoletes: Macaulay2-docs < %{version}-%{release}
Provides:  Macaulay2-docs = %{version}-%{release}
Comment 2 Rex Dieter 2007-01-15 13:53:55 EST
Just noticed Macaulay2-docs != Macaulay2-doc.  *#$#$$^$%L$K%?@!!!

OK, I feel better, now off to fix the typo.
Comment 3 Rex Dieter 2007-01-15 13:56:59 EST
%changelog
* Mon Jan 15 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.9.95-4
- Ob/Pr: Macaulay2-doc, not -docs (#222609)


Note You need to log in before you can comment on or make changes to this bug.